Skip to main content
PATCH
/
workflows
/
v1
/
workflow-webhooks
/
{webhook_id}
Update Workflow Webhook
curl --request PATCH \
  --url https://api-qa.interactly.ai/workflows/v1/workflow-webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "actions": [
    "workflow_created"
  ],
  "enabled": true,
  "bearer_token": "<string>",
  "clear_bearer_token": false,
  "timeout_seconds": 30,
  "max_retries": 5,
  "retry_backoff_seconds": 150
}
'
{
  "id": "<string>",
  "name": "<string>",
  "url": "<string>",
  "actions": [
    "workflow_created"
  ],
  "enabled": true,
  "has_bearer_token": true,
  "timeout_seconds": 123,
  "max_retries": 123,
  "retry_backoff_seconds": 123
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

webhook_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
name
string | null
Required string length: 1 - 150
url
string | null
Required string length: 1 - 2048
actions
enum<string>[] | null
Available options:
workflow_created,
workflow_updated,
workflow_deleted,
workflow_run_started,
workflow_run_completed
enabled
boolean | null
bearer_token
string | null
Maximum string length: 2000
clear_bearer_token
boolean
default:false
timeout_seconds
integer | null
Required range: 1 <= x <= 60
max_retries
integer | null
Required range: 0 <= x <= 10
retry_backoff_seconds
integer | null
Required range: 1 <= x <= 300

Response

Successful Response

id
string
required
name
string
required
url
string
required
actions
enum<string>[]
required
Available options:
workflow_created,
workflow_updated,
workflow_deleted,
workflow_run_started,
workflow_run_completed
enabled
boolean
required
has_bearer_token
boolean
required
timeout_seconds
integer
required
max_retries
integer
required
retry_backoff_seconds
integer
required